import React from 'react';
import { IOptionProps } from '../../../@types';
import { IAutocompleteProps } from '../auto-complete/Autocomplete';
interface IAutocompleteLookupProps<T> extends IAutocompleteProps<T> {
    /**
     * Defines debounce time white typing
     */
    debounceTime?: number;
    /**
     * Defines callback handler on typing to fetch related results from the server.
     */
    onSearchFetch?: (searchText: string) => void;
}
declare type ConditionalProps = {
    /**
     * Defines callback handler to load next page data on infinite-scroll event
     */
    onLoadMore: () => void;
    /**
     * Defines if server has more data to fetch
     */
    hasMore: boolean;
} | {
    onLoadMore?: never;
    hasMore?: never;
};
export declare const AutocompleteLookup: React.ForwardRefExoticComponent<(IAutocompleteLookupProps<IOptionProps> & ConditionalProps) & React.RefAttributes<unknown>>;
export {};
//# sourceMappingURL=AutocompleteLookup.d.ts.map