import React from 'react';
export interface IContentSwitcherItem {
    /**
     * Defines disable state for the item
     */
    disabled?: boolean;
    /**
     * Defines the text button label
     */
    label: string;
    /**
     * Defines if only the icon renders
     */
    isOnlyIcon?: boolean;
    /**
     * Defines the type of the icon
     */
    iconType?: string;
}
export interface IContentSwitcherProps extends Omit<React.ComponentPropsWithoutRef<'div'>, 'onSelect'> {
    /**
     * Defines the disable states of the component
     */
    disabled?: boolean;
    /**
     * Defines the no of items in the button group
     */
    items: IContentSwitcherItem[];
    /**
     * Defines selected appearance of a particular item
     */
    selected: number;
    /**
     * Defines the callback to handle selected item
     */
    onSelect: (selected: number) => void;
}
export declare function ContentSwitcher({ className, disabled, items, onSelect, selected, }: IContentSwitcherProps): JSX.Element;
//# sourceMappingURL=ContentSwitcher.d.ts.map