import React from 'react';
export interface ILottieLoaderProps extends React.ComponentPropsWithoutRef<'button'> {
    /**
     * Defines the lottie animation data to render
     */
    lottieType: string;
    /**
     * Defines the CSS style properties
     */
    style?: React.CSSProperties;
}
/**
 *
 * @returns Lottie animation and it will fit into
 * container dimensions
 * for example:
 * <div className="h-[100px] w-[100px]">
 * 		<LottieLoader />
 * </div>
 */
export default function LottieLoader({ lottieType, style, ...other }: ILottieLoaderProps): JSX.Element;
//# sourceMappingURL=LottieLoader.d.ts.map