import React from 'react';
import { INote } from '../../../@types';
import { IAddNoteProps } from './AddNotes';
import { INoteProps } from './types';
export interface INotesRowProps extends Omit<INoteProps, 'onReply'>, React.ComponentPropsWithoutRef<'div'> {
    /**
     * Defines Add Notes component props
     */
    addNotesProps?: Partial<IAddNoteProps>;
    /**
     * Defines on reply event
     */
    onReply?: (parentId: string, note: INote) => void;
    /**
     * Text while editing
     */
    editingText?: string;
    /**
     * Text while replyingText
     */
    replyingText?: string;
}
export declare function NotesRow({ addNotesProps, className, defaultExpanded, hidePriority, hideReply, isOwnNote, isPlainText, note, onDelete, onEdit, onReply, editingText, replyingText, ...rest }: INotesRowProps): JSX.Element;
//# sourceMappingURL=NotesRow.d.ts.map